GIT-NOTES(1)

NAME
git-notes - Add/inspect commit notes

SYNOPSIS

git-notes (edit [-F <file> | -m <msg>] | show) [commit]

DESCRIPTION

This command allows you to add notes to commit messages, without changing the commit. To discern these notes from the message stored in the commit object, the notes are indented like the message, after an unindented line saying "Notes:".

To disable commit notes, you have to set the config variable core.notesRef to the empty string. Alternatively, you can set it to a different ref, something like "refs/notes/bugzilla". This setting can be overridden by the environment variable "GIT_NOTES_REF".

SUBCOMMANDS

edit
    Edit the notes for a given commit (defaults to HEAD).

show
    Show the notes for a given commit (defaults to HEAD).

OPTIONS

-m <msg>
    Use the given note message (instead of prompting). If multiple -m (or -F) options are given, their values are concatenated as separate paragraphs.

-F <file>
    Take the note message from the given file. Use - to read the note message from the standard input. If multiple -F (or -m) options are given, their values are concatenated as separate paragraphs.

AUTHOR

Written by Johannes Schindelin <johannes.schindelin@gmx.de>

DOCUMENTATION

Documentation by Johannes Schindelin

GIT

Part of the git(7) suite